Savvy.sh
Aus VDR Wiki
(Unterschied zwischen Versionen)
Zeile 1: | Zeile 1: | ||
#!/bin/sh | #!/bin/sh | ||
# | # | ||
− | # savvy.sh - v.0. | + | # savvy.sh - v.0.0 |
# | # | ||
# add this lines to your [[reccmds.conf]]: | # add this lines to your [[reccmds.conf]]: | ||
Zeile 15: | Zeile 15: | ||
PATH=$PATH:/usr/local/bin:$SOURCEDIR/savvy | PATH=$PATH:/usr/local/bin:$SOURCEDIR/savvy | ||
− | case "$ | + | case "$1" in |
-start) | -start) | ||
msg() { | msg() { | ||
− | echo -e "-----------\n$ | + | echo -e "-----------\n$@\n-----------" |
} | } | ||
testproc() { | testproc() { | ||
− | test "$(ps axc|awk "{if (\$5==\"$1\") print \$1}")" | + | test "$(ps axc | awk "{if (\$5==\"$1\") print \$1}")" |
} | } | ||
− | + | ||
for i in lame wget at savvy mplayer ; do | for i in lame wget at savvy mplayer ; do | ||
− | which | + | if ! which $i >/dev/null 2>&1 ; then |
− | msg "ERROR: $ | + | msg "ERROR: $i not found..." |
exit 1 | exit 1 | ||
− | + | fi | |
done | done | ||
− | testproc savvy | + | if testproc savvy ; then |
msg "MESG: savvy is already running..." | msg "MESG: savvy is already running..." | ||
exit 1 | exit 1 | ||
− | + | fi | |
− | + | ||
− | ping -c 2 www.viva.de >/dev/null 2>&1 | + | if ! ping -c 2 www.viva.de >/dev/null 2>&1 ; then |
msg "ERROR: check your www connection..." | msg "ERROR: check your www connection..." | ||
exit 1 | exit 1 | ||
− | + | fi | |
+ | |||
+ | cd "$MYPATH/savvy" | ||
− | |||
− | |||
rm -f *.html | rm -f *.html | ||
− | wget -c http://www.vivaplus.tv/gettheclip.html | + | if ! wget -c http://www.vivaplus.tv/gettheclip.html ; then |
msg "ERROR: check your www connection..." | msg "ERROR: check your www connection..." | ||
exit 1 | exit 1 | ||
− | + | fi | |
− | + | if ! [ -e gettheclip.html ] ; then | |
msg "ERROR: gettheclip.html not exist, check the www connection..." | msg "ERROR: gettheclip.html not exist, check the www connection..." | ||
exit 1 | exit 1 | ||
− | + | fi | |
− | + | ||
at now <<EOF | at now <<EOF | ||
− | ./savvy $ | + | ./savvy $SAVVYOPT $2/ |
EOF | EOF | ||
− | sleep 1s && testproc savvy | + | if sleep 1s && testproc savvy ; then |
msg "MESG: savvy startet..." | msg "MESG: savvy startet..." | ||
− | + | fi | |
;; | ;; | ||
-kill) | -kill) |
Version vom 1. März 2005, 11:13 Uhr
#!/bin/sh # # savvy.sh - v.0.0 # # add this lines to your reccmds.conf: # folgende zeilen in die reccmds.conf eintragen: # # Start savvy : /usr/local/bin/savvy.sh -start # Stop savvy? : /usr/local/bin/savvy.sh -kill # CONFIG START SAVVYOPT="-nn" # Don't run "normalize" # CONFIG END PATH=$PATH:/usr/local/bin:$SOURCEDIR/savvy case "$1" in -start) msg() { echo -e "-----------\n$@\n-----------" } testproc() { test "$(ps axc | awk "{if (\$5==\"$1\") print \$1}")" } for i in lame wget at savvy mplayer ; do if ! which $i >/dev/null 2>&1 ; then msg "ERROR: $i not found..." exit 1 fi done if testproc savvy ; then msg "MESG: savvy is already running..." exit 1 fi if ! ping -c 2 www.viva.de >/dev/null 2>&1 ; then msg "ERROR: check your www connection..." exit 1 fi cd "$MYPATH/savvy" rm -f *.html if ! wget -c http://www.vivaplus.tv/gettheclip.html ; then msg "ERROR: check your www connection..." exit 1 fi if ! [ -e gettheclip.html ] ; then msg "ERROR: gettheclip.html not exist, check the www connection..." exit 1 fi at now <<EOF ./savvy $SAVVYOPT $2/ EOF if sleep 1s && testproc savvy ; then msg "MESG: savvy startet..." fi ;; -kill) killall savvy ;; esac